package validate

import (
	"gitea.pena/PenaSide/common/mongo"
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestValidateMongo(t *testing.T) {
	err := ValidateMongo(mongo.Configuration{
		URL:          "mongodb://localhost:27017,localhost:27018,localhost:27019/?replicaSet=rs0&readPreference=primary&ssl=false",
		DatabaseName: "admin",
	})
	assert.NoError(t, err)
}

func TestValidateTG(t *testing.T) {
	err := ValidateTgToken("7127966184:AAG1steOCH4wDvHRe9QcsXJPS4dWRyRYsqg")
	assert.NoError(t, err)
}

func TestValidateSmtp(t *testing.T) {
	err := ValidateSmtp("P0YsjUB137upXrr1NiJefHmXVKW1hmBWlpev")
	assert.NoError(t, err)
}

func TestValidateKafka(t *testing.T) {
	err := ValidateKafka([]string{"localhost:9092"}, "test-topic")
	assert.NoError(t, err)
}

func TestValidateRedis(t *testing.T) {
	err := ValidateRedis("localhost:6379", "admin", 2)
	assert.NoError(t, err)
}
